Is MS office compatible with Mac OS 10.7.5 ?

Follow this Question

2 Answers from the Community

  • Best Answer:

    I have an older macbook with OS X 10.7.5, Microsoft Office for Mac 2011 is compatible with it; but after October 10th 2017 it will not be supported by Microsoft. I am fairly certain that Office for Mac 2016 will not work on 10.7.5.

    Was this useful? Answer 1

    43 of 56 people found this useful

  • Specifications state at Office website that, Mac OS X version 10.10 or later is required to run Office 2016.

    Was this useful? Answer 2

    4 of 7 people found this useful

Similar Questions

See more Similar Questions